---
title: "Software Engineer in Test Career Framework"
description: "These are the expected competencies of the Software Engineer in Test team members at GitLab."
---

## Software Engineer in Test Career Framework

{{% include "includes/engineering/quality-career-nav.md" %}}

These are the expected competencies of the Software Engineer in Test team members at GitLab.

### Associate

- [Software Engineer in Test](/handbook/engineering/careers/matrix/quality/software-engineer-in-test/associate/)

### Intermediate

- [Software Engineer in Test](/handbook/engineering/careers/matrix/quality/software-engineer-in-test/intermediate/)

### Senior

- [Software Engineer in Test](/handbook/engineering/careers/matrix/quality/software-engineer-in-test/senior/)

### Staff

- [Software Engineer in Test](/handbook/engineering/careers/matrix/quality/software-engineer-in-test/staff/)

### Principal

- [Software Engineer in Test](/handbook/engineering/careers/matrix/quality/software-engineer-in-test/principal/)
